-- MySQL dump 10.11
--
create database opmon4;
use opmon4;

--
-- Table structure for table `scheduled_reports`
--
CREATE TABLE `scheduled_reports` (
  `id` int(11) NOT NULL auto_increment,
  `report_id` int(11) default NULL,
  `contact_id` int(11) default NULL,
  `frequency` varchar(50) default NULL,
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=1 DEFAULT CHARSET=utf8;

--
-- Table structure for table `scheduled_reports_logs`
--
CREATE TABLE `scheduled_reports_logs` (
  `id` int(11) NOT NULL auto_increment,
  `date` datetime default NULL,
  `stage` int(11) default NULL,
  `status` int(11) default NULL,
  `message` text,
  PRIMARY KEY  (`id`)
) AUTO_INCREMENT=1 DEFAULT CHARSET=utf8;

ALTER TABLE scheduled_reports ADD COLUMN `hour` int(11) NOT NULL DEFAULT 0;
ALTER TABLE scheduled_reports ADD COLUMN `week_day` int(11) DEFAULT NULL;
ALTER TABLE scheduled_reports ADD COLUMN `month_day` int(11) DEFAULT NULL;
ALTER TABLE scheduled_reports ADD COLUMN `date` date DEFAULT NULL;
ALTER TABLE scheduled_reports ADD COLUMN `scheduled_by_contact_id` int(11) UNSIGNED DEFAULT NULL;
